import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  name: z.string(),
  email: z.string().optional().nullable(),
  role: z.string(),
  phone: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional()
}).strict();
export const StaffCreateManyUserInputObjectSchema: z.ZodType<Prisma.StaffCreateManyUserInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffCreateManyUserInput>;
export const StaffCreateManyUserInputObjectZodSchema = makeSchema();
